Public Class PatientSelectorItemList
    Inherits List(Of PatientSelectorItem)
    Private m_Height As Integer = 0
    ReadOnly Property Height() As Integer
        Get
            Return m_Height
        End Get
    End Property

    Public Shadows Sub Add(ByVal item As PatientSelectorItem)
        MyBase.Add(item)
        item.Top = m_Height
        m_Height += item.Height
    End Sub
    Public Shadows Sub Clear()
        If MyBase.Count > 0 Then
            MyBase.Clear()
            m_Height = 0
        End If
    End Sub
End Class
