Imports System.Xml
Public Class ArztXMLPart
    Inherits Adresse

    Public Sub New()

    End Sub
    Public Sub New(ByVal Nd As XmlNode)
        MyBase.New(Nd)
    End Sub
    Public Overrides Sub Write_XML(ByVal Writer As XmlTextWriter)
        MyBase.Write_XML(Writer)
    End Sub

    Public Function CreateClone() As ArztXMLPart
        Dim NewPart As New ArztXMLPart

        NewPart.Nachname = Me.Nachname
        NewPart.Vorname = Me.Vorname
        NewPart.Ort = Me.Ort
        NewPart.PLZ = Me.PLZ
        NewPart.Strasse = Me.Strasse
        NewPart.Firma = Me.Firma
        NewPart.Firma1 = Me.Firma1
        NewPart.Stellung = Me.Stellung
        NewPart.Geburtsdatum = Me.Geburtsdatum
        NewPart.FirmaVoran = Me.FirmaVoran
        NewPart.Geschlecht = Me.Geschlecht
        NewPart.Titel = Me.Titel
        NewPart.Briefanrede = Me.Briefanrede

        Dim Zaehler As Integer = 0
        For Each fx As FonFax In Me.FonFax
            If Not fx.IsEmpty Then
                Dim NewFx As New FonFax(NewPart.FonFax)
                NewFx.Bezeichnung = fx.Bezeichnung
                NewFx.Nummer = fx.Nummer
                NewPart.FonFax.Insert(Zaehler, NewFx)
                Zaehler += 1
            End If
        Next

        NewPart.Kuerzel = Me.Kuerzel
        NewPart.AdressAnsicht = Me.AdressAnsicht


        Return NewPart
    End Function
    Public Sub ReadValues(ByVal Original As ArztXMLPart)
        Me.Nachname = Original.Nachname
        Me.Vorname = Original.Vorname
        Me.Ort = Original.Ort
        Me.PLZ = Original.PLZ
        Me.Strasse = Original.Strasse
        Me.Firma = Original.Firma
        Me.Firma1 = Original.Firma1
        Me.Stellung = Original.Stellung
        Me.Geburtsdatum = Original.Geburtsdatum
        Me.FirmaVoran = Original.FirmaVoran
        Me.Geschlecht = Original.Geschlecht
        Me.Titel = Original.Titel
        Me.Briefanrede = Original.Briefanrede

        Me.FonFax.Clear()
        Dim Zaehler As Integer = 0
        For Each fx As FonFax In Original.FonFax
            If Not fx.IsEmpty Then
                Dim NewFx As New FonFax(Me.FonFax)
                NewFx.Bezeichnung = fx.Bezeichnung
                NewFx.Nummer = fx.Nummer
                Me.FonFax.Insert(Zaehler, NewFx)
                Zaehler += 1
            End If
        Next
        Me.FonFax.ValidateForNewItem()

        Me.Kuerzel = Original.Kuerzel
        Me.AdressAnsicht = Original.AdressAnsicht
    End Sub

    Public Overrides Sub WriteExtraAttributes(ByVal Writer As System.Xml.XmlTextWriter)

    End Sub
End Class
