Public Class BriefListBoxItem
    Private m_DisplayName As String = ""
    Private m_CopyPath As String = ""
    Private m_ErfolgreichKopiert As Boolean = False
    Private m_OriginalPfad As String = ""
    ReadOnly Property OriginalPfad() As String
        Get
            Return m_OriginalPfad
        End Get
    End Property
    ReadOnly Property CopyPath() As String
        Get
            Return m_CopyPath
        End Get
    End Property
    ReadOnly Property ErfolgreichKopiert() As Boolean
        Get
            Return m_ErfolgreichKopiert
        End Get
    End Property
    ReadOnly Property DisplayName() As String
        Get
            Return m_DisplayName
        End Get
    End Property
    Public Sub New(ByVal DisplayName As String)
        m_DisplayName = DisplayName
        m_OriginalPfad = DataProvider.BriefePath & "\" & m_DisplayName
        If IO.File.Exists(m_OriginalPfad) Then
            Dim BriefName As String = IO.Path.GetFileNameWithoutExtension(m_OriginalPfad)

            Dim BasisPfad As String = DataProvider.TempBriefePath & "\"
            Dim ResultName As String = BriefName & ".doc"
            Dim Zahl As Integer = 0
            While IO.File.Exists(BasisPfad & ResultName)
                Zahl += 1
                ResultName = BriefName & Zahl.ToString & ".doc"
            End While

            Try
                IO.File.Copy(m_OriginalPfad, BasisPfad & ResultName)
                m_CopyPath = BasisPfad & ResultName
                m_ErfolgreichKopiert = True
            Catch ex As Exception

            End Try

        End If
    End Sub
    Public Overrides Function ToString() As String
        Return m_DisplayName
    End Function
End Class
