Imports System.Xml
Public Class BefundStichwort
    Private m_KurzWort As String = ""
    Private m_Wort As String = ""
    Private m_IstPflichtUntersuchung As Boolean = False
    Private m_GHMAnzeige As Boolean = False

    Property Wort() As String
        Get
            Return m_Wort
        End Get
        Set(ByVal value As String)
            m_Wort = value
        End Set
    End Property
    Property KurzWort() As String
        Get
            Return m_KurzWort
        End Get
        Set(ByVal value As String)
            m_KurzWort = value
        End Set
    End Property
    Property IstPflichtUntersuchung() As Boolean
        Get
            Return m_IstPflichtUntersuchung
        End Get
        Set(ByVal value As Boolean)
            m_IstPflichtUntersuchung = value
        End Set
    End Property
    Property GHMAnzeige() As Boolean
        Get
            Return m_GHMAnzeige
        End Get
        Set(ByVal value As Boolean)
            m_GHMAnzeige = value
        End Set
    End Property

    Public Sub New()
        m_Wort = "Neues Befund-Stichwort"
        m_KurzWort = "Neue Befund-Kurzbezeichnung"
    End Sub
    Public Sub New(ByVal Nd As XmlNode)
        m_Wort = Nd.Attributes("Wort").Value
        m_KurzWort = Nd.Attributes("KurzWort").Value
        m_IstPflichtUntersuchung = CBool(Nd.Attributes("IstPflichtUntersuchung").Value)
        m_GHMAnzeige = CBool(Nd.Attributes("GHMAnzeige").Value)
    End Sub
    Public Sub WriteXML(ByVal Writer As XmlTextWriter)
        Writer.WriteAttributeString("Wort", m_Wort)
        Writer.WriteAttributeString("KurzWort", m_KurzWort)
        Writer.WriteAttributeString("IstPflichtUntersuchung", m_IstPflichtUntersuchung.ToString)
        Writer.WriteAttributeString("GHMAnzeige", m_GHMAnzeige.ToString)
    End Sub
    Public Sub New(ByVal Wort As String, ByVal KurzWort As String, ByVal IstPflichtUntersuchung As Boolean, ByVal GHMAnzeige As Boolean)
        m_Wort = Wort
        m_KurzWort = KurzWort
        m_IstPflichtUntersuchung = IstPflichtUntersuchung
        m_GHMAnzeige = GHMAnzeige
    End Sub
    Public Sub New(ByVal Original As BefundStichwort)
        m_Wort = Original.Wort
        m_KurzWort = Original.KurzWort
        m_IstPflichtUntersuchung = Original.IstPflichtUntersuchung
        m_GHMAnzeige = Original.GHMAnzeige
    End Sub
    Public Overrides Function ToString() As String
        Return m_KurzWort
    End Function
End Class

