Public Class PatientenListeDruckSammlung
    Private m_Areas As New List(Of PrintArea)

    Private m_Labels As PatientLabelGroupCollection
    Public Sub New(ByVal Labels As PatientLabelGroupCollection)
        m_Labels = Labels
        CreateAreas()
    End Sub
    ReadOnly Property Areas() As List(Of PrintArea)
        Get
            Return m_Areas
        End Get
    End Property


    Private Sub CreateAreas()
        'm_Labels.Sort(New PatientNameLabelComparer)

        For Each Lbl As PatientLabelGroup In m_Labels
            For Each Element As IPatientDisplayElement In Lbl
                If Element.IsPatientLabel Then
                    Dim PLbl As PatientLabel = Element
                    m_Areas.Add(New PatientenListePatientArea(PLbl))
                End If
            Next
        Next

    End Sub
End Class
