Public Class PatientenListePatientArea
    Inherits PrintArea
    Private m_PatArea As PatientArea


    Public Sub New(ByVal Lbl As PatientLabel)
        m_PatArea = New PatientArea(DataProvider.PatientProvider.GetTempPatient(Lbl))
    End Sub

    Public Overrides Function GetNeededHeight(ByVal g As System.Drawing.Graphics, ByVal Width As Single) As Single
        Return m_PatArea.GetNeededHeight(g, Width) + 40.0F
    End Function

    Public Overrides Sub Print(ByVal g As System.Drawing.Graphics, ByVal Left As Single, ByVal Top As Single, ByVal Width As Single)
        g.DrawLine(ColorLib.LinePen, Left, Top + 5.0F, Left + Width, Top + 5.0F)
        g.DrawLine(ColorLib.LinePen, Left, Top + 35.0F, Left + Width, Top + 35.0F)
        g.DrawString(m_PatArea.Pat.Zimmernummer & "-" & m_PatArea.Pat.Bettnummer.ToString, New Font("Arial", 16), New SolidBrush(ColorLib.HeadLineColor), Left, Top + 5.0F)
        m_PatArea.Print(g, Left, Top + 40.0F, Width)
    End Sub
End Class
