Public Class frm_Stammdaten_Bearbeiten
    Private m_Initializing As Boolean = False
    Private m_Source As Patient
    Public Sub New(ByVal Source As Patient)

        ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
        InitializeComponent()

        ' Fgen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        Me.AcceptButton = Me.OkAbortPanel1.ButtonOK
        Me.CancelButton = Me.OkAbortPanel1.ButtonAbbrechen
        m_Source = Source

        Dim IL As New ImageList
        IL.ImageSize = New Size(14, 14)
        IL.ColorDepth = ColorDepth.Depth32Bit
        IL.Images.Add(My.Resources.Mann)
        IL.Images.Add(My.Resources.Frau)
        IL.Images.Add(My.Resources.unpers)

        Me.ListViewAerzte.SmallImageList = IL

        Patient_Lesen()
    End Sub
    Public Sub New()

        ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
        InitializeComponent()

        ' Fgen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        Me.AcceptButton = Me.OkAbortPanel1.ButtonOK
        Me.CancelButton = Me.OkAbortPanel1.ButtonAbbrechen

        Dim IL As New ImageList
        IL.ImageSize = New Size(14, 14)
        IL.ColorDepth = ColorDepth.Depth32Bit
        IL.Images.Add(My.Resources.Mann)
        IL.Images.Add(My.Resources.Frau)
        IL.Images.Add(My.Resources.unpers)

        Me.ListViewAerzte.SmallImageList = IL

        Patient_Lesen()
    End Sub
    Private Sub Patient_Lesen()
        Me.Stammdaten_Editor1.Patient = m_Source
        Me.ListViewAerzte.Items.Clear()
        If m_Source IsNot Nothing Then
            For Each Lbl As ArztLabel In m_Source.XMLPart.Aerzte
                Me.ListViewAerzte.Items.Add(New ArztLabelListViewItem(Lbl))
            Next
        End If
    End Sub

    Private Sub CommandPanel1_AddNew() Handles CommandPanel1.AddNew
        If m_Source Is Nothing Then Exit Sub
        Dim frm As New frm_Aerzte_Auswaehlen
        For Each Lbl As ArztLabel In m_Source.XMLPart.Aerzte
            frm.ListViewZugeordnete_Aerzte.Items.Add(New ArztLabelListViewItem(Lbl))
        Next

        If frm.ShowDialog = Windows.Forms.DialogResult.OK Then
            m_Source.XMLPart.Aerzte.Clear()
            For Each Itm As ArztLabelListViewItem In frm.ListViewZugeordnete_Aerzte.Items
                m_Source.XMLPart.Aerzte.Add(Itm.Lbl)
            Next
            Me.ListViewAerzte.Items.Clear()
            For Each Lbl As ArztLabel In m_Source.XMLPart.Aerzte
                Me.ListViewAerzte.Items.Add(New ArztLabelListViewItem(Lbl))
            Next
        End If

    End Sub

    Private Sub ListViewAerzte_Resize(ByVal sender As Object, ByVal e As System.EventArgs) Handles ListViewAerzte.Resize
        Me.ListViewAerzte.Columns(0).Width = -2
    End Sub

    Private Sub ListViewAerzte_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ListViewAerzte.SelectedIndexChanged
        If ListViewAerzte.SelectedItems.Count = 0 Then
            Me.CommandPanel1.DeleteEnabled = False
            Me.CommandPanel1.EditEnabled = False
            Me.CommandPanel1.MoveDownEnabled = False
            Me.CommandPanel1.MoveUpEnabled = False
        Else
            Me.CommandPanel1.DeleteEnabled = True
            Me.CommandPanel1.EditEnabled = True
            If ListViewAerzte.SelectedItems(0) Is ListViewAerzte.Items(0) Then
                Me.CommandPanel1.MoveUpEnabled = False
            Else
                Me.CommandPanel1.MoveUpEnabled = True
            End If
            If ListViewAerzte.SelectedItems(0) Is ListViewAerzte.Items(ListViewAerzte.Items.Count - 1) Then
                Me.CommandPanel1.MoveDownEnabled = False
            Else
                Me.CommandPanel1.MoveDownEnabled = True
            End If
        End If
    End Sub

    Private Sub CommandPanel1_Delete() Handles CommandPanel1.Delete
        Dim Itm As ArztLabelListViewItem = ListViewAerzte.SelectedItems(0)
        Dim OldIndex As Integer = ListViewAerzte.Items.IndexOf(Itm)
        m_Source.XMLPart.Aerzte.Remove(Itm.Lbl)
        Itm.Remove()
    End Sub

    Private Sub CommandPanel1_Edit() Handles CommandPanel1.Edit
        Dim Itm As ArztLabelListViewItem = ListViewAerzte.SelectedItems(0)
        DataProvider.ArztProvider.SetActive(Itm.Lbl)
        DataProvider.ArztProvider.EditActiveArzt()

    End Sub

    Private Sub CommandPanel1_MoveDown() Handles CommandPanel1.MoveDown
        Dim Itm As ArztLabelListViewItem = ListViewAerzte.SelectedItems(0)
        Dim OldIndex As Integer = ListViewAerzte.Items.IndexOf(Itm)
        ListViewAerzte.Items.RemoveAt(OldIndex)
        ListViewAerzte.Items.Insert(OldIndex + 1, Itm)
        m_Source.XMLPart.Aerzte.Remove(Itm.Lbl)
        m_Source.XMLPart.Aerzte.Insert(OldIndex + 1, Itm.Lbl)
        Itm.Selected = True
    End Sub

    Private Sub CommandPanel1_MoveUp() Handles CommandPanel1.MoveUp
        Dim Itm As ArztLabelListViewItem = ListViewAerzte.SelectedItems(0)
        Dim OldIndex As Integer = ListViewAerzte.Items.IndexOf(Itm)
        ListViewAerzte.Items.RemoveAt(OldIndex)
        ListViewAerzte.Items.Insert(OldIndex - 1, Itm)
        m_Source.XMLPart.Aerzte.Remove(Itm.Lbl)
        m_Source.XMLPart.Aerzte.Insert(OldIndex - 1, Itm.Lbl)
        Itm.Selected = True
    End Sub
End Class