Imports System.Xml
Public Class MedikamentVerordnungsListe
    Inherits TempItemList(Of MedikamentVerordnung)

    Public Sub New()
        Me.Add(New MedikamentVerordnung(Me))
    End Sub
    Public Sub New(ByVal xNd As XmlNode)
        For Each Nd As XmlNode In xNd.ChildNodes
            If Nd.Name = "Eintrag" Then
                Me.Add(New MedikamentVerordnung(Me, Nd))
            End If
        Next
        Me.Add(New MedikamentVerordnung(Me))
    End Sub
    Public Sub New(ByVal Original As MedikamentVerordnungsListe)
        For Each MV As MedikamentVerordnung In Original
            Me.Add(New MedikamentVerordnung(Me, MV))
        Next
    End Sub

    Public Sub Write_XML(ByVal Writer As XmlTextWriter)
        For Each DE As MedikamentVerordnung In Me
            If Not DE.IsEmpty Then
                Writer.WriteStartElement("Eintrag")
                DE.Write_XML(Writer)
                Writer.WriteEndElement()
            End If
        Next
    End Sub



    Public Overrides Function CreateNewItem() As ChangeListItem
        Return New MedikamentVerordnung(Me)
    End Function

    Public Overrides Function CanSort() As Boolean
        Return False
    End Function

    Public Overrides Function GetColorStrings() As System.Collections.Generic.List(Of ColorString)
        Return Nothing
    End Function

    Public Overrides Function HeaderControl() As System.Windows.Forms.Control
        Return New MedikamentHeader
    End Function
End Class
