Imports System.Xml
Public Class UnterschriftsListe
    Inherits TempItemList(Of Unterschrift)

    Public Overrides Function CreateNewItem() As ChangeListItem
        Return New Unterschrift(Me)
    End Function

    Public Sub New()
        Me.Add(New Unterschrift(Me))
    End Sub
    Public Sub New(ByVal xNd As XmlNode)
        For Each Nd As XmlNode In xNd.ChildNodes
            If Nd.Name = "Eintrag" Then
                Me.Add(New Unterschrift(Me, Nd))
            End If
        Next
        Me.Add(New Unterschrift(Me))
    End Sub
    Public Sub Write_XML(ByVal Writer As XmlTextWriter)
        For Each DE As Unterschrift In Me
            If Not DE.IsEmpty Then
                Writer.WriteStartElement("Eintrag")
                DE.Write_XML(Writer)
                Writer.WriteEndElement()
            End If
        Next
    End Sub


    Public Overrides Function CanSort() As Boolean
        Return False
    End Function

    Public Overrides Function GetColorStrings() As System.Collections.Generic.List(Of ColorString)
        'Dim Result As New List(Of ColorString)
        'For Each Rw As TextEintrag In Me
        '    If Not Rw.IsEmpty Then
        '        Dim Txt As String = Chr(183) & " " & Rw.Text
        '        If Rw.Wichtig Then
        '            Result.Add(New ColorString(Txt, ColorLib.WarningColor))
        '        Else
        '            Result.Add(New ColorString(Txt))
        '        End If
        '    End If
        'Next
        Return Nothing
    End Function

    Public Overrides Function HeaderControl() As System.Windows.Forms.Control
        Return New UnterschriftEditorHeader
    End Function
    Public Sub New(ByVal Original As UnterschriftsListe)
        For Each US As Unterschrift In Original
            Me.Add(New Unterschrift(Me, US))
        Next
    End Sub
End Class
