Public Class ArztLabelListViewItem
    Inherits ListViewItem
    Private WithEvents m_Lbl As ArztLabel
    ReadOnly Property Lbl() As ArztLabel
        Get
            Return m_Lbl
        End Get
    End Property
    Public Sub New(ByVal Lbl As ArztLabel)
        m_Lbl = Lbl
        Me.Text = Lbl.KurzText
        Select Case Lbl.Geschlecht
            Case Geschlechter.maennlich
                Me.ImageIndex = 0
            Case Geschlechter.weiblich
                Me.ImageIndex = 1
            Case Else
                Me.ImageIndex = 2
        End Select
    End Sub

    Private Sub m_Lbl_Changed() Handles m_Lbl.Changed
        Me.Text = m_Lbl.KurzText
        Select Case m_Lbl.Geschlecht
            Case Geschlechter.maennlich
                Me.ImageIndex = 0
            Case Geschlechter.weiblich
                Me.ImageIndex = 1
            Case Else
                Me.ImageIndex = 2
        End Select
    End Sub

    Private Sub m_Lbl_Remove() Handles m_Lbl.Remove
        Me.Remove()
    End Sub
End Class
