Public Class BefundStichwortEditor
    Private m_BefundStichwort As BefundStichwort = Nothing
    Private m_Initialisierung As Boolean = False
    Public Event Wort_Geaendert()
    WriteOnly Property BefundStichwort() As BefundStichwort
        Set(ByVal value As BefundStichwort)
            m_BefundStichwort = value
            ReadStichwort()
        End Set
    End Property
    Public Sub New()

        ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
        InitializeComponent()

        ' Fgen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        ReadStichwort()
    End Sub
    Private Sub ReadStichwort()
        m_Initialisierung = True
        If m_BefundStichwort Is Nothing Then
            Me.TextBoxAusfuehrlich.Text = ""
            Me.TextBoxKurzbezeichnung.Text = ""
            Me.CheckBoxGHM.Checked = False
            Me.CheckBoxIstPflichtUntersuchung.Checked = False
            Me.Enabled = False
        Else
            Me.TextBoxAusfuehrlich.Text = m_BefundStichwort.Wort
            Me.TextBoxKurzbezeichnung.Text = m_BefundStichwort.KurzWort
            Me.CheckBoxGHM.Checked = m_BefundStichwort.GHMAnzeige
            Me.CheckBoxIstPflichtUntersuchung.Checked = m_BefundStichwort.IstPflichtUntersuchung

            Me.Enabled = True
        End If
        m_Initialisierung = False
    End Sub


    Private Sub TextBoxAusfuehrlich_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TextBoxAusfuehrlich.TextChanged
        If m_Initialisierung Then Exit Sub
        m_BefundStichwort.Wort = TextBoxAusfuehrlich.Text
    End Sub


    Private Sub CheckBoxGHM_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBoxGHM.CheckedChanged
        If m_Initialisierung Then Exit Sub
        m_BefundStichwort.GHMAnzeige = CheckBoxGHM.Checked
    End Sub

    Private Sub CheckBoxIstPflichtUntersuchung_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBoxIstPflichtUntersuchung.CheckedChanged
        If m_Initialisierung Then Exit Sub
        m_BefundStichwort.IstPflichtUntersuchung = CheckBoxIstPflichtUntersuchung.Checked
    End Sub

    Private Sub TextBoxKurzbezeichnung_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TextBoxKurzbezeichnung.TextChanged
        If m_Initialisierung Then Exit Sub
        m_BefundStichwort.KurzWort = TextBoxKurzbezeichnung.Text
        RaiseEvent Wort_Geaendert()
    End Sub
End Class
