Imports System.Xml
Public Class TitelListe
    Inherits List(Of Titel)
    Public Event Geaendert()
    Public Sub New()
        Standard_Titel_Herstellen()
    End Sub
    Public Sub New(ByVal Nd As XmlNode)
        For Each Kn As XmlNode In Nd.ChildNodes
            If Kn.Name = "Titel" Then
                Me.Add(New Titel(Kn))
            End If
        Next
    End Sub
    Public Sub Write_XML(ByVal Writer As XmlTextWriter)
        For Each A As Titel In Me
            Writer.WriteStartElement("Titel")
            A.Write_XML(Writer)
            Writer.WriteEndElement()
        Next
    End Sub
    Public Sub Standard_Titel_Herstellen()
        Me.Clear()

        Me.Add(New Titel("Dr. med."))
        Me.Add(New Titel("Dipl.-med."))
        Me.Add(New Titel("Doz. Dr. med. habil."))
        Me.Add(New Titel("Professor"))
        Me.Add(New Titel("Professor Dr. med."))
        Me.Add(New Titel("Dipl.-Ing."))
        RaiseEvent Geaendert()
    End Sub
    Public Sub RaiseGeaendert()
        RaiseEvent Geaendert()
    End Sub
End Class
