Imports System.Xml
Public Class PatientPaket
    Private m_XMLPart As PatientXMLPart
    Private m_Label As PatientLabel
    Private m_IsInitialized As Boolean = True
    ReadOnly Property Label() As PatientLabel
        Get
            Return m_Label
        End Get
    End Property
    ReadOnly Property XMLPart() As PatientXMLPart
        Get
            Return m_XMLPart
        End Get
    End Property
    ReadOnly Property IsInitialized() As Boolean
        Get
            Return m_IsInitialized
        End Get
    End Property
    Public Sub New(ByVal Label As PatientLabel, ByVal XMLPart As PatientXMLPart)
        m_XMLPart = XMLPart
        m_Label = Label
    End Sub
    Public Sub New(ByVal Nd As Xml.XmlNode)
        Try
            m_XMLPart = New PatientXMLPart(Nd, DataProvider.ArztProvider)
            m_Label = New PatientLabel(DataProvider.PatientProvider, Nd)
        Catch ex As Exception
            m_IsInitialized = False
        End Try
    End Sub
    Public Sub Write_XML(ByVal Writer As XmlTextWriter)
        Writer.WriteAttributeString("IsInitialized", m_IsInitialized.ToString)
        m_Label.Write_XML(Writer)
        m_XMLPart.Write_XML(Writer)
    End Sub



End Class
