Imports System.Xml
Public Class Visit
    Private m_ZugeordneteZimmer As New List(Of Zimmer)
    Private m_Bezeichnung As String = ""
    Public Event Text_Changed()
    Property Bezeichnung() As String
        Get
            Return m_Bezeichnung
        End Get
        Set(ByVal value As String)
            m_Bezeichnung = value
            RaiseEvent Text_Changed()
        End Set
    End Property
    ReadOnly Property ZugeordneteZimmer() As List(Of Zimmer)
        Get
            Return m_ZugeordneteZimmer
        End Get
    End Property

    Public Sub New()

    End Sub
    Public Sub New(ByVal Nd As XmlNode, ByVal AlleZimmer As List(Of Zimmer))
        m_Bezeichnung = Nd.Attributes("Bezeichnung").Value
        For Each xNd As XmlNode In Nd.ChildNodes
            If xNd.Name = "Zimmer" Then
                m_ZugeordneteZimmer.Add(AlleZimmer.Item(CInt(xNd.Attributes("ZimmerID").Value)))
            End If
        Next
    End Sub
    Public Sub XML_Schreiben(ByVal Writer As XmlTextWriter, ByVal AlleZimmer As List(Of Zimmer))
        Writer.WriteAttributeString("Bezeichnung", m_Bezeichnung)
        For Each Zi As Zimmer In m_ZugeordneteZimmer
            Writer.WriteStartElement("Zimmer")
            Writer.WriteAttributeString("ZimmerID", AlleZimmer.IndexOf(Zi).ToString)
            Writer.WriteEndElement()
        Next
    End Sub
End Class

