Public Class ColorAlternator
    Private m_NormalColor As Color
    Private m_WarningColor As Color
    Private m_NormalColorAlternate As Color
    Private m_WarningColorAlternate As Color
    Private m_Alternated As Boolean = False
    Public Sub Alternate()
        m_Alternated = Not m_Alternated
    End Sub
    ReadOnly Property NormalColor() As Color
        Get
            If m_Alternated Then
                Return m_NormalColorAlternate
            Else
                Return m_NormalColor
            End If
        End Get
    End Property
    ReadOnly Property WarningColor() As Color
        Get
            If m_Alternated Then
                Return m_WarningColorAlternate
            Else
                Return m_WarningColor
            End If
        End Get
    End Property
    Public Sub New(ByVal NormalColor As Color, ByVal WarningColor As Color)
        m_NormalColor = NormalColor
        m_WarningColor = WarningColor
        m_NormalColorAlternate = ControlPaint.Dark(m_NormalColor)
        m_WarningColorAlternate = ControlPaint.Dark(m_WarningColor)
    End Sub
End Class

