Public Class ColorString
    Private m_Text As String
    Private m_Color As Color = ColorLib.NormalColor
    Private m_Underline As Boolean = False
    Private m_Bold As Boolean = False
    Property Text() As String
        Get
            Return m_Text
        End Get
        Set(ByVal value As String)
            m_Text = value
        End Set
    End Property

    ReadOnly Property Color() As Color
        Get
            Return m_Color
        End Get
    End Property
    ReadOnly Property Underline() As Boolean
        Get
            Return m_Underline
        End Get
    End Property
    ReadOnly Property Bold() As Boolean
        Get
            Return m_Bold
        End Get
    End Property
    Public Sub New(ByVal Text As String)
        m_Text = Text
    End Sub
    Public Sub New(ByVal Text As String, ByVal Color As Color)
        m_Text = Text
        m_Color = Color
    End Sub
    Public Sub New(ByVal Text As String, ByVal Color As Color, ByVal Underline As Boolean)
        m_Text = Text
        m_Color = Color
        m_Underline = Underline
    End Sub
    Public Sub New(ByVal Text As String, ByVal Bold As Boolean)
        m_Text = Text
        m_Bold = Bold
    End Sub
    Public Sub New(ByVal Text As String, ByVal Bold As Boolean, ByVal Color As Color)
        m_Text = Text
        m_Color = Color
        m_Bold = Bold
    End Sub
    Public Sub New(ByVal Text As String, ByVal Bold As Boolean, ByVal Color As Color, ByVal Underline As Boolean)
        m_Text = Text
        m_Bold = Bold
        m_Color = Color
        m_Underline = Underline
    End Sub
    Public Function CreateWords() As List(Of ColorStringWord)
        Dim Result As New List(Of ColorStringWord)
        Dim Parts() As String = m_Text.Split(" ")
        For Each txt As String In Parts
            Result.Add(New ColorStringWord(txt, Me))
        Next
        Return Result
    End Function


End Class

