Public Class frm_BefundStichwortEditor
    Public Sub New()

        ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
        InitializeComponent()

        ' Fgen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        Me.AcceptButton = Me.OkAbortPanel1.ButtonOK
        Me.CancelButton = Me.OkAbortPanel1.ButtonAbbrechen
    End Sub
    Public Sub New(ByVal OrigStichworte As BefundStichwortListe)

        ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
        InitializeComponent()

        ' Fgen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        Me.AcceptButton = Me.OkAbortPanel1.ButtonOK
        Me.CancelButton = Me.OkAbortPanel1.ButtonAbbrechen

        For Each Stw As BefundStichwort In OrigStichworte
            Me.ListBoxStichworte.Items.Add(New BefundStichwort(Stw))
        Next
    End Sub

    Private Sub ListBoxStichworte_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ListBoxStichworte.SelectedIndexChanged
        If ListBoxStichworte.SelectedIndex = -1 Then Exit Sub
        Dim Stw As BefundStichwort = ListBoxStichworte.SelectedItem
        Me.BefundStichwortEditor1.BefundStichwort = Stw
        Me.CommandPanel1.DeleteEnabled = True

        If Stw Is ListBoxStichworte.Items(0) Then
            Me.CommandPanel1.MoveUpEnabled = False
        Else
            Me.CommandPanel1.MoveUpEnabled = True
        End If
        If Stw Is ListBoxStichworte.Items(ListBoxStichworte.Items.Count - 1) Then
            Me.CommandPanel1.MoveDownEnabled = False
        Else
            Me.CommandPanel1.MoveDownEnabled = True
        End If
    End Sub

    Private Sub CommandPanel1_AddNew() Handles CommandPanel1.AddNew
        Dim Idx As Integer = ListBoxStichworte.SelectedIndex
        Dim Stw As New BefundStichwort
        If Idx = -1 Then
            ListBoxStichworte.Items.Add(Stw)
        Else
            ListBoxStichworte.Items.Insert(Idx + 1, Stw)
        End If
        ListBoxStichworte.SelectedItem = Stw
    End Sub

    Private Sub CommandPanel1_Delete() Handles CommandPanel1.Delete
        Dim Stw As BefundStichwort = ListBoxStichworte.SelectedItem
        Dim Idx As Integer = ListBoxStichworte.SelectedIndex
        ListBoxStichworte.Items.RemoveAt(Idx)
        If Idx > 0 Then
            Idx -= 1
        End If
        If Idx > -1 Then
            Me.ListBoxStichworte.SelectedIndex = Idx
        Else
            Me.BefundStichwortEditor1.BefundStichwort = Nothing
        End If

    End Sub

    Private Sub CommandPanel1_MoveDown() Handles CommandPanel1.MoveDown
        Dim Stw As BefundStichwort = ListBoxStichworte.SelectedItem
        Dim Idx As Integer = ListBoxStichworte.SelectedIndex
        ListBoxStichworte.Items.RemoveAt(Idx)
        ListBoxStichworte.Items.Insert(Idx + 1, Stw)
        ListBoxStichworte.SelectedIndex = Idx + 1
    End Sub

    Private Sub CommandPanel1_MoveUp() Handles CommandPanel1.MoveUp
        Dim Stw As BefundStichwort = ListBoxStichworte.SelectedItem
        Dim Idx As Integer = ListBoxStichworte.SelectedIndex
        ListBoxStichworte.Items.RemoveAt(Idx)
        ListBoxStichworte.Items.Insert(Idx - 1, Stw)
        ListBoxStichworte.SelectedIndex = Idx - 1
    End Sub

    Private Sub BefundStichwortEditor1_Wort_Geaendert() Handles BefundStichwortEditor1.Wort_Geaendert
        Dim Stw As BefundStichwort = ListBoxStichworte.SelectedItem
        Dim Idx As Integer = ListBoxStichworte.SelectedIndex
        ListBoxStichworte.Items.RemoveAt(Idx)
        ListBoxStichworte.Items.Insert(Idx, Stw)
        ListBoxStichworte.SelectedIndex = Idx
    End Sub

End Class